Bug 1005735 - Crash in vim omnicompletion
Crash in vim omnicompletion
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: vim (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Karsten Hopp
Filip Holec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 05:59 EDT by Matěj Cepl
Modified: 2016-04-18 06:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: vim-7.4.160-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:51:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (58.92 KB, text/plain)
2013-09-09 05:59 EDT, Matěj Cepl
no flags Details
backtrace (60.59 KB, text/plain)
2013-09-24 11:58 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2013-09-09 05:59:28 EDT
Created attachment 795559 [details]
backtrace

Description of problem:
Vim crashes on omnicompletion


Version-Release number of selected component (if applicable):
vim-enhanced-7.4.0-4.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open a python file in /usr/bin/vimx (using GUI version in console for missing XClipboard support in vim-enhanced; couldn't we get it?)
2. Go to the line with some code and start some keyword (e.g., logg)
3. Pres Ctrl-X,Ctrl-O

Actual results:
crash (see attached backtrace)

Expected results:
suggested completions

Additional info:
Comment 2 Karsten Hopp 2013-09-11 05:53:46 EDT
Would you mind testing vim-7.4.027-1.el7 ?  From the backtrace it looks like some bug in pygobject and I wonder if a vim built with the latest available packages will fix this.
(vim and vimx from vim-*-7.4.0-2.fc19 work without this problem, and the only differences to vim-7.4.027-1.el7 are some man page fixes)
Comment 3 Matěj Cepl 2013-09-24 11:58:00 EDT
Created attachment 802331 [details]
backtrace

Could locally build version of pygobject3 somehow conflict with your vim build? Attaching a backtrace when trying Ctrl-X,Ctrl-O again. Not sure what happened but suddenly vim crashes again.

matej@wycliff: empathy (rhel-7 *%)$ rpm -qa vim\* pygobject\*
pygobject2-2.28.6-9.el7.x86_64
pygobject3-devel-3.8.2-2.1.el7.x86_64
pygobject3-3.8.2-2.1.el7.x86_64
vim-vimoutliner-0.3.6-3.el7.noarch
pygobject3-base-3.8.2-2.1.el7.x86_64
vim-X11-7.4.027-2.el7.x86_64
vim-debuginfo-7.4.027-2.el7.x86_64
pygobject2-codegen-2.28.6-9.el7.x86_64
pygobject2-devel-2.28.6-9.el7.x86_64
vim-common-7.4.027-2.el7.x86_64
vim-enhanced-7.4.027-2.el7.x86_64
vim-minimal-7.4.027-2.el7.x86_64
pygobject2-doc-2.28.6-9.el7.x86_64
vim-filesystem-7.4.027-2.el7.x86_64
matej@wycliff: empathy (rhel-7 *%)$ rpm -qa pygobject\* |while read PKG ; do echo ====================== ; echo $PKG ; echo ---------------------- ; rpm -qR $PKG ; done
======================
pygobject2-2.28.6-9.el7.x86_64
----------------------
/sbin/ldconfig
/sbin/ldconfig
/usr/bin/env
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libffi.so.6()(64bit)
libgio-2.0.so.0()(64bit)
libglib-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libgthread-2.0.so.0()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpyglib-2.0-python.so.0()(64bit)
librt.so.1()(64bit)
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1
======================
pygobject3-devel-3.8.2-2.1.el7.x86_64
----------------------
/usr/bin/env
/usr/bin/pkg-config
glib2-devel
gobject-introspection-devel
pkgconfig
pkgconfig(gobject-2.0)
pkgconfig(libffi)
pygobject3 = 3.8.2-2.1.el7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
======================
pygobject3-3.8.2-2.1.el7.x86_64
----------------------
/sbin/ldconfig
/sbin/ldconfig
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libcairo.so.2()(64bit)
libgirepository-1.0.so.1()(64bit)
libglib-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libpthread.so.0()(64bit)
pycairo
pygobject3-base = 3.8.2-2.1.el7
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1
======================
pygobject3-base-3.8.2-2.1.el7.x86_64
----------------------
gobject-introspection >= 1.34.2
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libffi.so.6()(64bit)
libgirepository-1.0.so.1()(64bit)
libglib-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libgthread-2.0.so.0()(64bit)
libpthread.so.0()(64bit)
libpyglib-gi-2.0-python.so.0()(64bit)
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1
======================
pygobject2-codegen-2.28.6-9.el7.x86_64
----------------------
/bin/sh
/usr/bin/env
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
======================
pygobject2-devel-2.28.6-9.el7.x86_64
----------------------
/usr/bin/pkg-config
glib2-devel
pkgconfig
pkgconfig(gobject-2.0)
pkgconfig(libffi)
pygobject2 = 2.28.6-9.el7
pygobject2-codegen = 2.28.6-9.el7
pygobject2-doc = 2.28.6-9.el7
python2-devel
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
======================
pygobject2-doc-2.28.6-9.el7.x86_64
----------------------
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
matej@wycliff: empathy (rhel-7 *%)$
Comment 6 Ludek Smid 2014-06-13 07:51:59 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.